package models

import (
	"time"
)

type CmAnnex struct {
	Id         int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	DataType   int       `xorm:"not null default 0 comment('类型1.回款证明2.质量附件3.安全附件4.合同文件') TINYINT(1)"`
	DataId     int       `xorm:"not null default 0 comment('归属ID') INT(11)"`
	AccountId  int       `xorm:"not null default 0 comment('账号ID') INT(11)"`
	Name       string    `xorm:"comment('附件名称') VARCHAR(64)"`
	OssUrl     string    `xorm:"comment('访问路径') VARCHAR(255)"`
	CreateTime time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateTime time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
